body {
  padding: 0;
  margin: 0;
  height: 100vh;
  width: 100%;
  background: url(../images/loading-logo.png) center center no-repeat;
}
.loading-logo {
  position: absolute;
  background-image: url(../images/loading-logo.png);
  background-repeat: no-repeat;
  background-position: center;
}
/* Progress Bar */
#progress_bar {
  position: relative;
  height: 6px;
  display: block;
  width: 100%;
  background-color: #eeabff;
  margin: 0 0 1rem 0;
  overflow: hidden;
}
#progress_bar .indeterminate {
  background-color: #b166c3;
}
#progress_bar .indeterminate:before {
  content: "";
  position: absolute;
  background-color: inherit;
  top: 0;
  left: 0;
  bottom: 0;
  will-change: left, right;
  -webkit-animation: indeterminate 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395)
    infinite;
  animation: indeterminate 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395) infinite;
}
#progress_bar .indeterminate:after {
  content: "";
  position: absolute;
  background-color: inherit;
  top: 0;
  left: 0;
  bottom: 0;
  will-change: left, right;
  animation: indeterminate-short 2.1s cubic-bezier(0.165, 0.84, 0.44, 1)
    infinite;
  -webkit-animation-delay: 1.15s;
  animation-delay: 1.15s;
}

#status_bar {
  position: absolute;
  bottom: 0;
  padding: 1rem;
  border-top: 1px solid #f9e7fd;
  width: 100vw;
  margin: 0;
  left: 0;
  box-sizing: border-box;
}

@keyframes indeterminate {
  0% {
    left: -35%;
    right: 100%;
  }
  60% {
    left: 100%;
    right: -90%;
  }
  100% {
    left: 100%;
    right: -90%;
  }
}
@keyframes indeterminate-short {
  0% {
    left: -200%;
    right: 100%;
  }
  60% {
    left: 107%;
    right: -8%;
  }
  100% {
    left: 107%;
    right: -8%;
  }
}
